统计看板找到 4 个接口
组合集群看板数据
composeServerStatNodeClusterBoard
POST
/ServerStatBoardService/composeServerStatNodeClusterBoard- 定义文件
service_server_stat_board.proto- 可用角色
- 管理员
原始定义
rpc composeServerStatNodeClusterBoard (ComposeServerStatNodeClusterBoardRequest) returns (ComposeServerStatNodeClusterBoardResponse);请求消息
ComposeServerStatNodeClusterBoardRequest组合集群看板数据
请求消息 · 字段定义
message ComposeServerStatNodeClusterBoardRequest {
int64 nodeClusterId = 1;
}响应消息
ComposeServerStatNodeClusterBoardResponse响应消息 · 字段定义
message ComposeServerStatNodeClusterBoardResponse {
int64 countActiveNodes = 1; // 在线节点
int64 countInactiveNodes = 2; // 离线节点
int64 countServers = 3; // 服务数量
int64 countUsers = 4; // 用户数量
int64 monthlyTrafficBytes = 5; // 当月流量
int64 dailyTrafficBytes = 6; // 当日流量
int64 lastDailyTrafficBytes = 7; // 昨日流量
repeated DailyTrafficStat dailyTrafficStats = 30;
repeated HourlyTrafficStat hourlyTrafficStats = 31;
repeated NodeStat topNodeStats = 32;
repeated NodeValue cpuNodeValues = 34;
repeated NodeValue memoryNodeValues = 35;
repeated NodeValue loadNodeValues = 36;
repeated MetricDataChart metricDataCharts = 37; // 指标图表
// 日流量统计
message DailyTrafficStat {
string day = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
// 小时流量统计
message HourlyTrafficStat {
string hour = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
// 节点统计
message NodeStat {
int64 nodeId = 1;
string nodeName = 2;
int64 countRequests = 3;
int64 bytes = 4;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
}